Skip to main content
`Ctrl`+`K`

# PetscHMapObjGetVals

Get all values from a hash table

## Synopsis

    #include <petsc/private/hashmapobj.h>
    PetscErrorCode PetscHMapObjGetVals(PetscHMapObj ht, PetscInt *off, PetscObject array[])

## Input Parameters

- ht - The hash table

- off - Input offset in array (usually zero)

- array - Array to put hash table values in

## Output Parameters

- off - Output offset in array (output offset = input offset + hash table size)

- array - Array filled with the hash table values

## See Also

`PetscHSetObjGetSize()`, `PetscHMapObjGetKeys()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages